True or false check to determine if custom verbosity is used in agent, higher verbosity requires agent to include more of the retrieved documents at the expense of longer answers, lower verbosity can result in shorter answers but can also ommit crucial details
IconAttachment object used to hold the attached icon used for the agent (this links to an IconAttachment object);
Show child attributes
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Agent Cloud","colors":{"primary":"#82aff0","light":"#82aff0","dark":"#82aff0"},"favicon":"/favicon.svg","logo":{"light":"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/light.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=ea4553ac79b2428f9308000063c92535","dark":"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/dark.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=2e03d10de70d76b210de4655744bf453"},"api":{"mdx":{"server":null,"auth":{"method":"bearer","name":null}}},"navbar":{"links":[{"label":"Home Page","href":"https://www.agentcloud.dev"},{"label":"Github","href":"https://github.com/rnadigital/agentcloud"}],"primary":{"type":"button","label":"Sign Up to Cloud","href":"https://app.agentcloud.dev/register"}},"footer":{"socials":{"twitter":"https://twitter.com/agentcloud_dev","github":"https://github.com/rnadigital/agentcloud","linkedin":"https://www.linkedin.com/products/rna-digital-agent-cloud/"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rna","hasAudioNarration":false,"actualSubdomain":"rna","customDomains":["docs.agentcloud.dev"],"gitSource":{"type":"github","owner":"rnadigital","repo":"agentcloud-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e624044dd579e9b57289","collectionId":"fe8b9fe7-21ae-4bb2-afb8-d5d57394148b","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21e624044dd579e9b57289:success","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":98},{"language":"default","tag":"Reference","count":98},{"language":"default","tag":"All Objects","count":63},{"language":"default","tag":"Documentation","count":17},{"language":"default","tag":"Components","count":8},{"language":"default","tag":"Datasources","count":7},{"language":"default","tag":"Sessions","count":6},{"language":"default","tag":"Agents","count":5},{"language":"default","tag":"Models","count":5},{"language":"default","tag":"Tasks","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"apidocs/docs/schema/Agent","slug":"/apidocs/docs/schema/Agent","pageMetadata":{"openapi-schema":"Agent","title":null,"description":null,"href":"/apidocs/docs/schema/Agent"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi-schema":"Agent","title":null,"description":null,"href":"/apidocs/docs/schema/Agent"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"schemaData":{"description":"An agent object used for tasks or apps","required":["_id","name","role","goal","backstory","modelId","verbose","allowDelegation"],"properties":{"_id":{"type":"string","description":"Unique Mongodb identifier for the object","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"_id.additionalProperties","typeLabel":"string"},"isRequired":true,"uniqueKey":"_id","typeLabel":"string"},"name":{"type":"string","description":"Name of the agent","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"role":{"description":"Fed into the LLM to help it provide a more detailed and correct response","type":"string","isRequired":true,"uniqueKey":"role","typeLabel":"string"},"goal":{"description":"The goal of the agent is fed into the LLM, this allows the LLM to know it's role in the RAG pipeline","type":"string","isRequired":true,"uniqueKey":"goal","typeLabel":"string"},"backstory":{"description":"A detailed description of what the LLM will be doing","type":"string","isRequired":true,"uniqueKey":"backstory","typeLabel":"string"},"modelId":{"description":"The linked ObjectId of the model being used by this agent (this links to a Model object)","type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"modelId.additionalProperties","typeLabel":"string"},"isRequired":true,"uniqueKey":"modelId","typeLabel":"string"},"verbose":{"description":"True or false check to determine if custom verbosity is used in agent, higher verbosity requires agent to include more of the retrieved documents at the expense of longer answers, lower verbosity can result in shorter answers but can also ommit crucial details","type":"boolean","isRequired":true,"uniqueKey":"verbose","typeLabel":"boolean"},"allowDelegation":{"description":"True or false check to determine if the agent is allowed to delegate tasks to other agents in the context of an app","type":"boolean","isRequired":true,"uniqueKey":"allowDelegation","typeLabel":"boolean"},"orgId":{"description":"Organisation the agent is linked to (generally the org of the user that created the agent)","type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"orgId.additionalProperties","typeLabel":"string"},"uniqueKey":"orgId","typeLabel":"string"},"teamId":{"description":"Team the agent is linked to (generally the team of the user that created the agent)","type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"teamId.additionalProperties","typeLabel":"string"},"uniqueKey":"teamId","typeLabel":"string"},"functionModelId":{"description":"A secondary model used to execute function calls (this links to a Model object), set to null if unused automatically by the API","type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"functionModelId.additionalProperties","typeLabel":"string"},"uniqueKey":"functionModelId","typeLabel":"string"},"toolIds":{"description":"Array of the tools the agent can access to improve performance and abstract tool functionality from agent usage","type":"array","items":{"type":"string","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"toolIds.items.[INDEX].additionalProperties","typeLabel":"string"},"uniqueKey":"toolIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"toolIds","typeLabel":"string[]"},"icon":{"description":"IconAttachment object used to hold the attached icon used for the agent (this links to an IconAttachment object);","additionalProperties":{"description":"Mongodb Object id, unique identifier, length of 24 characters fitting the following regex; [a-f0-9]{24}","type":"string","uniqueKey":"icon.additionalProperties","typeLabel":"string"},"type":"object","uniqueKey":"icon","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object","example":{"title":"Example","value":{"_id":"\u003cstring>","name":"\u003cstring>","role":"\u003cstring>","goal":"\u003cstring>","backstory":"\u003cstring>","modelId":"\u003cstring>","verbose":true,"allowDelegation":true,"orgId":"\u003cstring>","teamId":"\u003cstring>","functionModelId":"\u003cstring>","toolIds":["\u003cstring>"],"icon":{}}}},"originalFileLocation":"apidocs/openapi.json"},"subdomain":"rna","siteName":"Agent Cloud","title":"Agent - Agent Cloud","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T01:41:59.864Z","originalFileLocation":"apidocs/docs/schema/Agent.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Agent Cloud\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Agent - Agent Cloud\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Agent Cloud\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rna.mintlify.app/_mintlify/api/og/v2?division=All+Objects\u0026amp;title=Agent\u0026amp;theme=7c14074e48f2f45ce3c2749c\u0026amp;signature=2b71e34d4d29430842247d0c16a51ed22ca72dcf29acee071209ace0c7ee9e0f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Agent - Agent Cloud\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rna.mintlify.app/_mintlify/api/og/v2?division=All+Objects\u0026amp;title=Agent\u0026amp;theme=7c14074e48f2f45ce3c2749c\u0026amp;signature=2b71e34d4d29430842247d0c16a51ed22ca72dcf29acee071209ace0c7ee9e0f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/rna/5lRcHYq2aj6YYi5U/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Agent Cloud\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#82aff0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/apidocs/docs/schema/Agent.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.agentcloud.dev/#organization\",\"name\":\"Agent Cloud\",\"url\":\"https://docs.agentcloud.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/rna/G04fBABrzw_cNbF_/logo/light.svg?fit=max\u0026auto=format\u0026n=G04fBABrzw_cNbF_\u0026q=85\u0026s=ea4553ac79b2428f9308000063c92535\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.agentcloud.dev#website\",\"name\":\"Agent Cloud\",\"url\":\"https://docs.agentcloud.dev\",\"publisher\":{\"@id\":\"https://docs.agentcloud.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent#webpage\",\"url\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent\",\"name\":\"Agent\",\"dateModified\":\"2026-01-07T01:41:59.864Z\",\"isPartOf\":{\"@id\":\"https://docs.agentcloud.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Reference\",\"item\":\"https://docs.agentcloud.dev/apidocs/docs/sessions/retrieve--session\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"All Objects\",\"item\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Account\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Agent\",\"item\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent#apireference\",\"headline\":\"Agent\",\"name\":\"Agent\",\"url\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent\",\"mainEntityOfPage\":{\"@id\":\"https://docs.agentcloud.dev/apidocs/docs/schema/Agent#webpage\"},\"dateModified\":\"2026-01-07T01:41:59.864Z\",\"publisher\":{\"@id\":\"https://docs.agentcloud.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.agentcloud.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Agent Cloud\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Agent Cloud","nav":{"global":null,"tabs":[{"tab":"Documentation","groups":[{"group":"Get Started","pages":[{"title":"Agent Cloud - Talk to Your Data","sidebarTitle":"Introduction","icon":"house","href":"/documentation/get-started/introduction"},{"title":"How to Create Your First Agent Cloud App","sidebarTitle":"Quickstart","icon":"play","mode":"wide","href":"/documentation/get-started/quickstart"},{"title":"Get Started with Agent Cloud on a Local Deployment","sidebarTitle":"Local Setup","href":"/documentation/get-started/local-setup"}]},{"group":"Installation","pages":[{"title":"Local Dev with CLI","icon":"terminal","href":"/documentation/Installation/local"},{"title":"Agent Cloud Platform","icon":"cloud-binary","href":"/documentation/Installation/deployment"}]},{"group":"Components","icon":"puzzle-piece","pages":[{"title":"Agents","icon":"User","href":"/documentation/components/agents"},{"title":"Apps","icon":"puzzle-piece","href":"/documentation/components/apps"},{"title":"Datasources","icon":"database","href":"/documentation/components/datasources"},{"title":"Models","icon":"microchip","href":"/documentation/components/models"},{"title":"Sessions","icon":"comment","href":"/documentation/components/sessions"},{"title":"Tasks","icon":"pen-to-square","href":"/documentation/components/tasks"},{"title":"Tools","icon":"screwdriver-wrench","href":"/documentation/components/tools"},{"title":"Variables","icon":"binary","href":"/documentation/components/variables"}]},{"group":"Tutorials \u0026 Examples","pages":[{"title":"Tutorial to Build a RAG with Google Bigquery","sidebarTitle":"RAG with BigQuery Tutorial","icon":"article","href":"/documentation/guides/demo-chat-rag-bigquery"}]},{"group":"Concepts","pages":[{"title":"What is RAG?","sidebarTitle":"RAG","icon":"","href":"/documentation/concepts/rag"}]},{"group":"Contribute","pages":[{"title":"Contribute to Agent Cloud","sidebarTitle":"How to Contribute","icon":"handshake","href":"/documentation/contribute/contribute"}]},{"group":"Community","pages":[{"title":"Getting Support","href":"/documentation/community/getting-support"}]}]},{"tab":"Integrations","href":"https://agentcloud.dev/integrations"},{"tab":"Blog","href":"https://www.agentcloud.dev/blog"},{"tab":"API Reference","groups":[{"group":"Reference","pages":[{"group":"Sessions","pages":[{"openapi":"get /{resourceSlug}/session/{sessionId}.json","title":"Retrieve Session","href":"/apidocs/docs/sessions/retrieve--session"},{"openapi":"get /{resourceSlug}/sessions.json","title":"Retrieve Sessions","href":"/apidocs/docs/sessions/retrieve--sessions"},{"openapi":"get /{resourceSlug}/session/{sessionId}/messages.json?messageId={messageId}","title":"Retrieve Messages","href":"/apidocs/docs/sessions/retrieve--messages"},{"openapi":"post /{resourceSlug}/forms/session/add","title":"Add a session","href":"/apidocs/docs/sessions/add--session"},{"openapi":"post /{resourceSlug}/forms/session/{sessionId}/cancel","title":"Cancel a session","href":"/apidocs/docs/sessions/cancel--session"},{"openapi":"delete /{resourceSlug}/forms/session/{sessionId}","title":"Delete a session","href":"/apidocs/docs/sessions/delete--session"}]},{"group":"Apps","pages":[{"openapi":"get /{resourceSlug}/app/{appId}.json","title":"Get App","href":"/apidocs/docs/apps/retrieve--app"},{"openapi":"get /{resourceSlug}/apps.json","title":"Get Apps","href":"/apidocs/docs/apps/retrieve--apps"}]},{"group":"Agents","pages":[{"openapi":"get /{resourceSlug}/agent/{agentId}.json","title":"Retrieve Agent","href":"/apidocs/docs/agents/get--agent"},{"openapi":"get /{resourceSlug}/agents.json","title":"Retrieve Agents","href":"/apidocs/docs/agents/get--agents"},{"openapi":"post /{resourceSlug}/forms/agent/add","title":"Add an agent","href":"/apidocs/docs/agents/add--agent"},{"openapi":"post /{resourceSlug}/forms/agent/{agentId}/edit","title":"Edit An Agent","href":"/apidocs/docs/agents/edit--agent"},{"openapi":"delete /{resourceSlug}/forms/agent/{agentId}","title":"Delete An Agent","href":"/apidocs/docs/agents/delete--agent"}]},{"group":"Tasks","pages":[{"openapi":"get /{resourceSlug}/task/{taskId}.json","title":"Retrieve Task","href":"/apidocs/docs/tasks/get--task"},{"openapi":"get /{resourceSlug}/tasks.json","title":"Retrieve Tasks","href":"/apidocs/docs/tasks/get--tasks"},{"openapi":"post /{resourceSlug}/forms/task/add","title":"Add A New Task","href":"/apidocs/docs/tasks/add--task"},{"openapi":"post /{resourceSlug}/forms/task/{taskId}/edit","title":"Edit A Task","href":"/apidocs/docs/tasks/edit--task"},{"openapi":"delete /{resourceSlug}/forms/task/{taskId}","title":"Delete A Task","href":"/apidocs/docs/tasks/delete--task"}]},{"group":"Tools","pages":[{"openapi":"get /{resourceSlug}/tool/{toolId}.json","title":"Retrieve Tool","href":"/apidocs/docs/tools/get--tool"},{"openapi":"get /{resourceSlug}/tools.json","title":"Retrieve Tools","href":"/apidocs/docs/tools/get--tools"},{"openapi":"post /{resourceSlug}/forms/tool/add","title":"Add A New Tool","href":"/apidocs/docs/tools/add--tool"},{"openapi":"post /{resourceSlug}/forms/tool/{toolId}/edit","title":"Edit A Tool","href":"/apidocs/docs/tools/edit--tool"},{"openapi":"delete /{resourceSlug}/forms/tool/{toolId}","title":"Delete A Tool","href":"/apidocs/docs/tools/delete--tool"}]},{"group":"Models","pages":[{"openapi":"get /{resourceSlug}/model/{modelid}.json","title":"Retrieve Model","href":"/apidocs/docs/models/get--model"},{"openapi":"get /{resourceSlug}/models.json","title":"Retrieve Models","href":"/apidocs/docs/models/get--models"},{"openapi":"post /{resourceSlug}/forms/model/add","title":"Add A New Model","href":"/apidocs/docs/models/add--model"},{"openapi":"post /{resourceSlug}/forms/{modelId}/edit","title":"Edit A Model","href":"/apidocs/docs/models/edit--model"},{"openapi":"delete /{resourceSlug}/forms/{modelId}","title":"Delete A Model","href":"/apidocs/docs/models/delete--model"}]},{"group":"Datasources","pages":[{"openapi":"get /{resourceSlug}/datasource/{datasourceId}.json","title":"Retrieve A Datasource","href":"/apidocs/docs/datasources/retrieve--datasource"},{"openapi":"get /{resourceSlug}/datasources.json","title":"Retrieve Datasources","href":"/apidocs/docs/datasources/retrieve--datasources"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/schedule","title":"Edit Schedule In Datasource - This is marked as Uncomplete","href":"/apidocs/docs/datasources/wip--edit--datasource--schedule"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/streams","title":"Edit Datasource Streams - This Is Marked As Unfinished","href":"/apidocs/docs/datasources/wip--edit--datasource--streams"},{"openapi":"post /{resourceSlug}/forms/datasource/{datasourceId}/sync","title":"Sync Datasource","href":"/apidocs/docs/datasources/sync--datasource"},{"openapi":"post /{resourceSlug}/forms/datasource/test","title":"Test A Datasource To Be Added","href":"/apidocs/docs/datasources/test--datasource"},{"openapi":"post /{resourceSlug}/forms/datasource/add","title":"Add A Datasource","href":"/apidocs/docs/datasources/add--datasource"}]},{"group":"All Objects","pages":[{"title":null,"description":null,"href":"/apidocs/docs/schema/Account"},{"title":null,"href":"/apidocs/docs/schema/Agent"},{"title":null,"description":null,"href":"/apidocs/docs/schema/Asset"},{"title":null,"href":"/apidocs/docs/schema/BaseOpenApiParameters"},{"title":null,"href":"/apidocs/docs/schema/ChatMessage"},{"title":null,"href":"/apidocs/docs/schema/Crew"},{"title":null,"href":"/apidocs/docs/schema/Datasource"},{"title":null,"href":"/apidocs/docs/schema/DatasourceConnectionSettings"},{"title":null,"href":"/apidocs/docs/schema/DatasourceRecordCount"},{"title":null,"href":"/apidocs/docs/schema/DatasourceStream"},{"title":null,"href":"/apidocs/docs/schema/DatasourceStatusColors"},{"title":null,"href":"/apidocs/docs/schema/DynamicResponse"},{"title":null,"href":"/apidocs/docs/schema/FieldDescription"},{"title":null,"href":"/apidocs/docs/schema/FieldDescriptionMap"},{"title":null,"href":"/apidocs/docs/schema/FormFieldConfig"},{"title":null,"href":"/apidocs/docs/schema/FunctionProperty"},{"title":null,"href":"/apidocs/docs/schema/IconAttachment"},{"title":null,"href":"/apidocs/docs/schema/InsertResult"},{"title":null,"href":"/apidocs/docs/schema/MetadataFieldInfo"},{"title":null,"href":"/apidocs/docs/schema/Model"},{"title":null,"href":"/apidocs/docs/schema/MultiQueryRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Notification"},{"title":null,"href":"/apidocs/docs/schema/NotificationDetails"},{"title":null,"href":"/apidocs/docs/schema/NotificationType"},{"title":null,"href":"/apidocs/docs/schema/ObjectId"},{"title":null,"href":"/apidocs/docs/schema/OAuthStrategy"},{"title":null,"href":"/apidocs/docs/schema/Oauth_Provider"},{"title":null,"href":"/apidocs/docs/schema/Org"},{"title":null,"href":"/apidocs/docs/schema/ProcessingErrorDetails"},{"title":null,"href":"/apidocs/docs/schema/Retriever"},{"title":null,"href":"/apidocs/docs/schema/RetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/SelfQueryRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Session"},{"title":null,"href":"/apidocs/docs/schema/SharingConfig"},{"title":null,"href":"/apidocs/docs/schema/SharingMode"},{"title":null,"href":"/apidocs/docs/schema/ShareLink"},{"title":null,"href":"/apidocs/docs/schema/ShareLinkType"},{"title":null,"href":"/apidocs/docs/schema/ShareLinkTypes"},{"title":null,"href":"/apidocs/docs/schema/SimilaritySearchRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/StreamConfig"},{"title":null,"href":"/apidocs/docs/schema/StreamConfigMap"},{"title":null,"href":"/apidocs/docs/schema/Stripe"},{"title":null,"href":"/apidocs/docs/schema/SyncModes"},{"title":null,"href":"/apidocs/docs/schema/SystemUpdateDetails"},{"title":null,"href":"/apidocs/docs/schema/Task"},{"title":null,"href":"/apidocs/docs/schema/Team"},{"title":null,"href":"/apidocs/docs/schema/TeamDescription"},{"title":null,"href":"/apidocs/docs/schema/TeamModelResponse"},{"title":null,"href":"/apidocs/docs/schema/tempRedirectResponse"},{"title":null,"href":"/apidocs/docs/schema/TestDatasourceJSONBody"},{"title":null,"href":"/apidocs/docs/schema/TimeWeightedRetrieverConfig"},{"title":null,"href":"/apidocs/docs/schema/Tool"},{"title":null,"href":"/apidocs/docs/schema/ToolRevision"},{"title":null,"href":"/apidocs/docs/schema/ToolState"},{"title":null,"href":"/apidocs/docs/schema/ToolType"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingConfig"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingStrategy"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredChunkingStrategyValues"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredPartitioningStrategy"},{"title":null,"href":"/apidocs/docs/schema/UnstructuredPartitioningStrategyValues"},{"title":null,"href":"/apidocs/docs/schema/UserActionDetails"},{"title":null,"href":"/apidocs/docs/schema/WebhookDetails"},{"title":null,"href":"/apidocs/docs/schema/WebhookType"}]}]}]}]},"title":"Agent - Agent Cloud","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}